# encoding: utf-8

module ConvJaChar
  KATANA_TO_HEBON_FORM = {
    'ア' => 'a',   'イ' => 'i',   'ウ' => 'u',   'エ' => 'e',   'オ' => 'o',
    'カ' => 'ka',  'キ' => 'ki',  'ク' => 'ku',  'ケ' => 'ke',  'コ' => 'ko',
    'サ' => 'sa',  'シ' => 'shi', 'ス' => 'su',  'セ' => 'se',  'ソ' => 'so',
    'タ' => 'ta',  'チ' => 'chi', 'ツ' => 'tsu', 'テ' => 'te',  'ト' => 'to',
    'ナ' => 'na',  'ニ' => 'ni',  'ヌ' => 'nu',  'ネ' => 'ne',  'ノ' => 'no',
    'ハ' => 'ha',  'ヒ' => 'hi',  'フ' => 'fu',  'ヘ' => 'he',  'ホ' => 'ho',
    'マ' => 'ma',  'ミ' => 'mi',  'ム' => 'mu',  'メ' => 'me',  'モ' => 'mo',
    'ヤ' => 'ya',  'ユ' => 'yu',  'ヨ' => 'yo',
    'ラ' => 'ra',  'リ' => 'ri',  'ル' => 'ru',  'レ' => 're',  'ロ' => 'ro',
    'ワ' => 'wa',  'ヰ' => 'wi',  'ヱ' => 'we',  'ヲ' => 'wo',  'ー' => '-',
    'ガ' => 'ga',  'ギ' => 'gi',  'グ' => 'gu',  'ゲ' => 'ge',  'ゴ' => 'go',
    'ザ' => 'za',  'ジ' => 'ji',  'ズ' => 'zu',  'ゼ' => 'ze',  'ゾ' => 'zo',
    'ダ' => 'da',  'ヂ' => 'di',  'ヅ' => 'du',  'デ' => 'de',  'ド' => 'do',
    'バ' => 'ba',  'ビ' => 'bi',  'ブ' => 'bu',  'ベ' => 'be',  'ボ' => 'bo',
    'パ' => 'pa',  'ピ' => 'pi',  'プ' => 'pu',  'ペ' => 'pe',  'ポ' => 'po',
    'ウィ' => 'wi','ウェ' => 'we', 'クヮ' => 'kwa', 'グヮ' => 'gwa', 'ン' => 'n',
    'キャ' => 'kya', 'キィ' => 'kyi', 'キュ' => 'kyu', 'キェ' => 'kye', 'キョ' => 'kyo',
    'ギャ' => 'gya', 'ギィ' => 'gyi', 'ギュ' => 'gyu', 'ギェ' => 'gye', 'ギョ' => 'gyo',
    'シャ' => 'sha', 'シィ' => 'syi', 'シュ' => 'shu', 'シェ' => 'she', 'ショ' => 'sho',
    'ジャ' => 'ja',  'ジィ' => 'jyi', 'ジュ' => 'ju',  'ジェ' => 'je',  'ジョ' => 'jo',
    'チャ' => 'cha', 'チィ' => 'cyi', 'チュ' => 'chu', 'チェ' => 'che', 'チョ' => 'cho',
    'ヂャ' => 'dya', 'ヂィ' => 'dyi', 'ヂュ' => 'dyu', 'ヂェ' => 'dye', 'ヂョ' => 'dyo',
    'テャ' => 'tha', 'ティ' => 'thi', 'テュ' => 'thu', 'テェ' => 'the', 'テョ' => 'tho',
    'デャ' => 'dha', 'ディ' => 'dhi', 'デュ' => 'dhu', 'デェ' => 'dhe', 'デョ' => 'dho',
    'ニャ' => 'nya', 'ニィ' => 'nyi', 'ニュ' => 'nyu', 'ニェ' => 'nye', 'ニョ' => 'nyo',
    'ヒャ' => 'hya', 'ヒィ' => 'hyi', 'ヒュ' => 'hyu', 'ヒェ' => 'hye', 'ヒョ' => 'hyo',
    'ビャ' => 'bya', 'ビィ' => 'byi', 'ビュ' => 'byu', 'ビェ' => 'bye', 'ビョ' => 'byo',
    'ピャ' => 'pya', 'ピィ' => 'pyi', 'ピュ' => 'pyu', 'ピェ' => 'pye', 'ピョ' => 'pyo',
    'ファ' => 'fa',  'フィ' => 'fi',  'フュ' => 'fyu', 'フェ' => 'fe',  'フォ' => 'fo',
    'ミャ' => 'mya', 'ミィ' => 'myi', 'ミュ' => 'myu', 'ミェ' => 'mye', 'ミョ' => 'myo',
    'リャ' => 'rya', 'リィ' => 'ryi', 'リュ' => 'ryu', 'リェ' => 'rye', 'リョ' => 'ryo',
    'ヴァ' => 'va',  'ヴィ' => 'vi',  'ヴ' => 'vu',    'ヴェ' => 've',  'ヴォ' => 'vo'
  }.freeze

  KATANA_TO_KUNREI_FORM = {
      'ア' => 'a',   'イ' => 'i',   'ウ' => 'u',   'エ' => 'e',   'オ' => 'o',
      'カ' => 'ka',  'キ' => 'ki',  'ク' => 'ku',  'ケ' => 'ke',  'コ' => 'ko',
      'サ' => 'sa',  'シ' => 'si',  'ス' => 'su',  'セ' => 'se',  'ソ' => 'so',
      'タ' => 'ta',  'チ' => 'ti',  'ツ' => 'tu',  'テ' => 'te',  'ト' => 'to',
      'ナ' => 'na',  'ニ' => 'ni',  'ヌ' => 'nu',  'ネ' => 'ne',  'ノ' => 'no',
      'ハ' => 'ha',  'ヒ' => 'hi',  'フ' => 'fu',  'ヘ' => 'he',  'ホ' => 'ho',
      'マ' => 'ma',  'ミ' => 'mi',  'ム' => 'mu',  'メ' => 'me',  'モ' => 'mo',
      'ヤ' => 'ya',  'ユ' => 'yu',  'ヨ' => 'yo',
      'ラ' => 'ra',  'リ' => 'ri',  'ル' => 'ru',  'レ' => 're',  'ロ' => 'ro',
      'ワ' => 'wa',  'ヰ' => 'wi',  'ヱ' => 'we',  'ヲ' => 'wo',  'ー' => '-',
      'ガ' => 'ga',  'ギ' => 'gi',  'グ' => 'gu',  'ゲ' => 'ge',  'ゴ' => 'go',
      'ザ' => 'za',  'ジ' => 'zi',  'ズ' => 'zu',  'ゼ' => 'ze',  'ゾ' => 'zo',
      'ダ' => 'da',  'ヂ' => 'zi',  'ヅ' => 'zu',  'デ' => 'de',  'ド' => 'do',
      'バ' => 'ba',  'ビ' => 'bi',  'ブ' => 'bu',  'ベ' => 'be',  'ボ' => 'bo',
      'パ' => 'pa',  'ピ' => 'pi',  'プ' => 'pu',  'ペ' => 'pe',  'ポ' => 'po',
      'ウィ' => 'wi', 'ウェ' => 'we', 'クヮ' => 'kwa', 'グヮ' => 'gwa', 'ン' => 'n',
      'キャ' => 'kya', 'キィ' => 'kyi', 'キュ' => 'kyu', 'キェ' => 'kye', 'キョ' => 'kyo',
      'ギャ' => 'gya', 'ギィ' => 'gyi', 'ギュ' => 'gyu', 'ギェ' => 'gye', 'ギョ' => 'gyo',
      'シャ' => 'sya', 'シィ' => 'syi', 'シュ' => 'syu', 'シェ' => 'sye', 'ショ' => 'syo',
      'ジャ' => 'zya', 'ジィ' => 'zyi', 'ジュ' => 'zyu', 'ジェ' => 'zye', 'ジョ' => 'zyo',
      'チャ' => 'tya', 'チィ' => 'tyi', 'チュ' => 'tyu', 'チェ' => 'tye', 'チョ' => 'tyo',
      'ヂャ' => 'zya', 'ヂィ' => 'zyi', 'ヂュ' => 'zyu', 'ヂェ' => 'zye', 'ヂョ' => 'zyo',
      'テャ' => 'tha', 'ティ' => 'thi', 'テュ' => 'thu', 'テェ' => 'the', 'テョ' => 'tho',
      'デャ' => 'dha', 'ディ' => 'dhi', 'デュ' => 'dhu', 'デェ' => 'dhe', 'デョ' => 'dho',
      'ニャ' => 'nya', 'ニィ' => 'nyi', 'ニュ' => 'nyu', 'ニェ' => 'nye', 'ニョ' => 'nyo',
      'ヒャ' => 'hya', 'ヒィ' => 'hyi', 'ヒュ' => 'hyu', 'ヒェ' => 'hye', 'ヒョ' => 'hyo',
      'ビャ' => 'bya', 'ビィ' => 'byi', 'ビュ' => 'byu', 'ビェ' => 'bye', 'ビョ' => 'byo',
      'ピャ' => 'pya', 'ピィ' => 'pyi', 'ピュ' => 'pyu', 'ピェ' => 'pye', 'ピョ' => 'pyo',
      'ファ' => 'fa',  'フィ' => 'fi',  'フュ' => 'fyu', 'フェ' => 'fe',  'フォ' => 'fo',
      'ミャ' => 'mya', 'ミィ' => 'myi', 'ミュ' => 'myu', 'ミェ' => 'mye', 'ミョ' => 'myo',
      'リャ' => 'rya', 'リィ' => 'ryi', 'リュ' => 'ryu', 'リェ' => 'rye', 'リョ' => 'ryo',
      'ヴァ' => 'va',  'ヴィ' => 'vi',  'ヴ' => 'vu',    'ヴェ' => 've',  'ヴォ' => 'vo'
  }.freeze

  SMALL_KANA_FOR_CONTRACTED_SOUND = %w(ァ ィ ェ ォ ャ ュ ョ ヮ).freeze

  DOUBLE_CONSONANT_SOUND = 'ッ'.freeze
end